# Functions

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions

> List App Functions

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions":{"get":{"tags":["SDK Apps / Functions"],"summary":"List App Functions","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"all","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appFunctions":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"args":{"type":"string"}}}}}}}}}}}}}}
```

## POST /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions

> Create Function

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions":{"post":{"tags":["SDK Apps / Functions"],"summary":"Create Function","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appFunction":{"type":"object","properties":{"name":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions/{SDK\_functionName}

> Get Function

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions/{SDK_functionName}":{"get":{"tags":["SDK Apps / Functions"],"summary":"Get Function","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_functionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appFunction":{"type":"object","properties":{"name":{"type":"string"},"code":{"type":"string"},"changes":{"type":"object"}},"required":["name","code","changes"]}}}}}}}}}}}
```

## DELETE /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions/{SDK\_functionName}

> Delete Function

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions/{SDK_functionName}":{"delete":{"tags":["SDK Apps / Functions"],"summary":"Delete Function","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_functionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appFunction":{"type":"object","properties":{"name":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions/{SDK\_functionName}/code

> Get Function Code

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions/{SDK_functionName}/code":{"get":{"tags":["SDK Apps / Functions"],"summary":"Get Function Code","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_functionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/javascript":{"schema":{"type":"string"}}}}}}}}}
```

## PUT /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions/{SDK\_functionName}/code

> Set Function Code

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions/{SDK_functionName}/code":{"put":{"tags":["SDK Apps / Functions"],"summary":"Set Function Code","requestBody":{"content":{"application/javascript":{"schema":{"type":"string"}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_functionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"change":{"type":"object","properties":{"id":{"type":"integer"},"group":{"type":"string"},"item":{"type":"string"},"code":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions/{SDK\_functionName}/test

> Get Function Test

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions/{SDK_functionName}/test":{"get":{"tags":["SDK Apps / Functions"],"summary":"Get Function Test","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_functionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/javascript":{"schema":{"type":"string"}}}}}}}}}
```

## PUT /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/functions/{SDK\_functionName}/test

> Set Function Test

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / Functions"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/functions/{SDK_functionName}/test":{"put":{"tags":["SDK Apps / Functions"],"summary":"Set Function Test","requestBody":{"content":{"application/javascript":{"schema":{"type":"string"}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_functionName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"}}}}}}}}}}}
```
